import React from 'react'
import Svg, { Defs, LinearGradient, Stop, G, Path } from 'react-native-svg'

const SvgComponent = props => (
  <Svg width="1em" height="1em" viewBox="0 0 28 22" {...props}>
    <Defs>
      <LinearGradient x1="50%" y1="100%" x2="50%" y2="0%" id="linearGradient-1">
        <Stop stopColor="#F78B00" offset="0%" />
        <Stop stopColor="#FAC000" offset="100%" />
      </LinearGradient>
    </Defs>
    <G
      id="0716\u7248\u672C"
      stroke="none"
      strokeWidth={1}
      fill="none"
      fillRule="evenodd"
    >
      <G
        id="0716\u4FEE\u6539\u7248\u672C"
        transform="translate(-216.000000, -632.000000)"
        fill="url(#linearGradient-1)"
        fillRule="nonzero"
      >
        <G
          id="\u8ECA\u4F4D\u5171\u4EAB"
          transform="translate(195.000000, 610.000000)"
        >
          <G id="Group-3">
            <G
              id="fontawesome-webfont-f-1-b-9-copy-2"
              transform="translate(21.000000, 22.000000)"
            >
              <Path
                d="M6.5625,12.7448276 C6.5625,12.1606897 6.34830729,11.6606322 5.91992188,11.2446552 C5.49153646,10.8286782 4.9765625,10.6206897 4.375,10.6206897 C3.7734375,10.6206897 3.25846354,10.8286782 2.83007813,11.2446552 C2.40169271,11.6606322 2.1875,12.1606897 2.1875,12.7448276 C2.1875,13.3289655 2.40169271,13.829023 2.83007813,14.245 C3.25846354,14.660977 3.7734375,14.8689655 4.375,14.8689655 C4.9765625,14.8689655 5.49153646,14.660977 5.91992188,14.245 C6.34830729,13.829023 6.5625,13.3289655 6.5625,12.7448276 Z M7.0546875,8.49655172 L20.9453125,8.49655172 L19.7285156,3.75706897 C19.7102865,3.68626437 19.6464844,3.60882183 19.5371094,3.52474138 C19.4277344,3.44066092 19.3320312,3.39862069 19.25,3.39862069 L8.75,3.39862069 C8.66796875,3.39862069 8.57226562,3.44066092 8.46289062,3.52474138 C8.35351562,3.60882183 8.28971354,3.68626437 8.27148437,3.75706897 L7.0546875,8.49655172 Z M25.8125,12.7448276 C25.8125,12.1606897 25.5983073,11.6606322 25.1699219,11.2446552 C24.7415365,10.8286782 24.2265625,10.6206897 23.625,10.6206897 C23.0234375,10.6206897 22.5084635,10.8286782 22.0800781,11.2446552 C21.6516927,11.6606322 21.4375,12.1606897 21.4375,12.7448276 C21.4375,13.3289655 21.6516927,13.829023 22.0800781,14.245 C22.5084635,14.660977 23.0234375,14.8689655 23.625,14.8689655 C24.2265625,14.8689655 24.7415365,14.660977 25.1699219,14.245 C25.5983073,13.829023 25.8125,13.3289655 25.8125,12.7448276 Z M28,11.4703448 L28,16.5682759 C28,16.6921839 27.9589844,16.7939655 27.8769531,16.8736207 C27.7949219,16.9532759 27.6901042,16.9931034 27.5625,16.9931034 L26.25,16.9931034 L26.25,18.6924138 C26.25,19.4004598 25.9947917,20.0022989 25.484375,20.497931 C24.9739583,20.9935632 24.3541667,21.2413793 23.625,21.2413793 C22.8958333,21.2413793 22.2760417,20.9935632 21.765625,20.497931 C21.2552083,20.0022989 21,19.4004598 21,18.6924138 L21,16.9931034 L7,16.9931034 L7,18.6924138 C7,19.4004598 6.74479166,20.0022989 6.234375,20.497931 C5.72395834,20.9935632 5.10416666,21.2413793 4.375,21.2413793 C3.64583334,21.2413793 3.02604166,20.9935632 2.515625,20.497931 C2.00520834,20.0022989 1.75,19.4004598 1.75,18.6924138 L1.75,16.9931034 L0.4375,16.9931034 C0.309895838,16.9931034 0.205078125,16.9532759 0.123046875,16.8736207 C0.041015625,16.7939655 0,16.6921839 0,16.5682759 L0,11.4703448 C0,10.6472414 0.2985026,9.94583334 0.895507812,9.36612069 C1.49251303,8.78640804 2.21484375,8.49655172 3.0625,8.49655172 L3.4453125,8.49655172 L4.88085938,2.93396552 C5.09049479,2.10201149 5.56445312,1.40502873 6.30273438,0.843017241 C7.04101562,0.281005752 7.85677084,0 8.75,0 L19.25,0 C20.1432292,0 20.9589844,0.281005752 21.6972656,0.843017241 C22.4355469,1.40502873 22.9095052,2.10201149 23.1191406,2.93396552 L24.5546875,8.49655172 L24.9375,8.49655172 C25.7851562,8.49655172 26.507487,8.78640804 27.1044922,9.36612069 C27.7014974,9.94583334 28,10.6472414 28,11.4703448 L28,11.4703448 Z"
                id="Shape"
              />
            </G>
          </G>
        </G>
      </G>
    </G>
  </Svg>
)

export default SvgComponent
